Bulk privilege¶
POST/
Email Management API · Mailbox Management
Generate request to get bulk sender privilege for the mailbox.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
id | path | string (uuid) | Yes | Mailbox ID. |
Request body¶
Content type: application/json
Request body fields
countintegerrequiredNumber of emails per period.
periodstringrequiredInterval type.
Must be one of:
Must be one of:
daily, weekly, monthly.purposestringrequiredPurpose to send bulk emails.
Must be 2–2048 characters long.
Must be 2–2048 characters long.
Request samples¶
curl -X POST "https://api-<data-region>.central.sophos.com/email/v1/mailboxes/<id>/bulksender-privilege-request" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"count\": 0,
\"period\": \"daily\",
\"purpose\": \"string\"
}"
import requests
response = requests.post(
"https://api-<data-region>.central.sophos.com/email/v1/mailboxes/<id>/bulksender-privilege-request",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={'count': 0, 'period': 'daily', 'purpose': 'string'},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"count": 0,
"period": "daily",
"purpose": "string"
}'
Invoke-RestMethod -Method POST -Uri "https://api-<data-region>.central.sophos.com/email/v1/mailboxes/<id>/bulksender-privilege-request" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("POST", "https://api-<data-region>.central.sophos.com/email/v1/mailboxes/<id>/bulksender-privilege-request", strings.NewReader(`{
"count": 0,
"period": "daily",
"purpose": "string"
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/email/v1/mailboxes/<id>/bulksender-privilege-request", {
method: "POST",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"count": 0,
"period": "daily",
"purpose": "string"
}),
});
const data = await response.json();
console.log(data);
Responses¶
200 — Status of bulk sender privilege request.¶
Response fields
acceptedbooleanrequiredBulk sender privilege request accepted or not.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
404 | Not found. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.